

#include "yourself.h"


#include "../../../Common/queries.h"




extern int memory_used_at_begin;
int get_used_memory();

int CheckYourSelf(  const KVBuffer& rbuf,
                    KVBuffer& sbuf)
{

  // get requested information
  EnterCriticalSection(&ProcessAccess);

  int mem = (int)(get_used_memory() >> 10);
  int initial = (int)(memory_used_at_begin >> 10);

  sbuf.reset();

  sbuf.addKeyIntValue("id", SELFUSAGE_QUERY);
  sbuf.addKeyIntValue("used", mem);
  sbuf.addKeyIntValue("initial", initial);

  LeaveCriticalSection(&ProcessAccess);	
  
  return NOERR;
}

