
VERSION=`cat VERSION`
if [ "$?" != "0" ]; then
	echo "Wrong ret code from cat"
	exit 1
fi

if [ x+"$VERSION" == x ]; then
	echo "Wrong VERSION"
 	exit 1
fi

echo "Making VERSION=$VERSION"



echo "Copying NT compiled files to directories"
cp NT_Stuff/source/nsservcfg/nsservcfg.exe NT_Stuff/put_these_on_servers
cp NT_Stuff/source/nsservicer/nsservicer.exe NT_Stuff/put_these_on_servers
cp NT_Stuff/source/eap/eap.exe NT_Stuff/put_these_on_servers



echo "Copying Linux compiled files to directories"
cp UNIX_Stuff/source/check_nt/check_nt* UNIX_Stuff/netsaint/plugins
cp UNIX_Stuff/source/check_nteventlog/check_nt* UNIX_Stuff/netsaint/plugins



echo ""
echo "Removing non-important directories"

DIR="Common/Debug"
echo -n "Removing $DIR : "
if [ -d $DIR ] ; then
	rm -R $DIR
	echo "OK"
else
	echo "Not necessary"
fi
DIR="Common/Release"
echo -n "Removing $DIR : "
if [ -d $DIR ] ; then
	rm -R $DIR
	echo "OK"
else
	echo "Not necessary"
fi
DIR="NT_Stuff/source/eap/Debug"
echo -n "Removing $DIR : "
if [ -d $DIR ] ; then
	rm -R $DIR
	echo "OK"
else
	echo "Not necessary"
fi
DIR="NT_Stuff/source/eap/Release"
echo -n "Removing $DIR : "
if [ -d $DIR ] ; then
	rm -R $DIR
	echo "OK"
else
	echo "Not necessary"
fi
DIR="NT_Stuff/source/nsservicer/Debug"
echo -n "Removing $DIR : "
if [ -d $DIR ] ; then
	rm -R $DIR
	echo "OK"
else
	echo "Not necessary"
fi
DIR="NT_Stuff/source/nsservicer/Release"
echo -n "Removing $DIR : "
if [ -d $DIR ] ; then
	rm -R $DIR
	echo "OK"
else
	echo "Not necessary"
fi
DIR="NT_Stuff/source/nsservcfg/Debug"
echo -n "Removing $DIR : "
if [ -d $DIR ] ; then
	rm -R $DIR
	echo "OK"
else
	echo "Not necessary"
fi
DIR="NT_Stuff/source/nsservcfg/Release"
echo -n "Removing $DIR : "
if [ -d $DIR ] ; then
	rm -R $DIR
	echo "OK"
else
	echo "Not necessary"
fi




echo ""
echo "Removing non-important files"
find NT_Stuff -iname "*.aps" -print -exec rm {} \;
find NT_Stuff -iname "*.ilk" -print -exec rm {} \;
find NT_Stuff -iname "*.plg" -print -exec rm {} \;
find NT_Stuff -iname "*.opt" -print -exec rm {} \;
find NT_Stuff -iname "*.ncb" -print -exec rm {} \;

find UNIX_Stuff -iname "*.o" -print -exec rm {} \;





echo ""
echo "Making global package"
tar czvf NSServicer-$VERSION.tar.gz NT_Stuff UNIX_Stuff Common make_pkgs.sh VERSION nsserv.gif nsserv_readme.html

echo ""
echo "Making NT binaries package"
tar czvf NSServicer-bin-win32-$VERSION.tar.gz NT_Stuff/put_these_on_servers

echo ""
echo "Making UNIX package"
tar czvf NSServicer-client-$VERSION.tar.gz UNIX_Stuff

